com.sun.jna.platform.win32

## Interface DdemlUtil.RegisterHandler

- Enclosing class:
    DdemlUtil

      public static interface DdemlUtil.RegisterHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onRegister(int transactionType, Ddeml.HSZ baseServiceName, Ddeml.HSZ instanceSpecificServiceName)` A Dynamic Data Exchange (DDE) callback function, DdeCallback, receives the XTYP_REGISTER transaction type whenever a Dynamic Data Exchange Management Library (DDEML) server application uses the DdeNameService function to register a service name, or whenever a non-DDEML application that supports the System topic is started.

- - ### Method Detail

    - #### onRegister

          void onRegister(int transactionType,
                          Ddeml.HSZ baseServiceName,
                          Ddeml.HSZ instanceSpecificServiceName)

      A Dynamic Data Exchange (DDE) callback function, DdeCallback, receives the XTYP_REGISTER transaction type whenever a Dynamic Data Exchange Management Library (DDEML) server application uses the DdeNameService function to register a service name, or whenever a non-DDEML application that supports the System topic is started.

      Remarks

      This transaction is filtered if the application specified the CBF_SKIP_REGISTRATIONS flag in the DdeInitialize function.

      A application cannot block this transaction type; the CBR_BLOCK return code is ignored.

      An application should use the hsz1 parameter to add the service name to the list of servers available to the user. An application should use the hsz2 parameter to identify which application instance has started.

      Parameters:
        `transactionType` - uType - The transaction type.
        `baseServiceName` - hsz1 - A handle to the base service name being registered.
        `instanceSpecificServiceName` - hsz2 - A handle to the instance-specific service name being registered.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.